library verilog;
use verilog.vl_types.all;
entity vpcounter is
    generic(
        term_cnt_int    : integer := 262143
    );
    port(
        clk             : in     vl_logic;
        init            : in     vl_logic;
        ldc             : in     vl_logic;
        load            : out    vl_logic;
        term_cnt        : out    vl_logic;
        Q               : out    vl_logic_vector(17 downto 0)
    );
end vpcounter;
